View Issue Details

IDProjectCategoryView StatusLast Update
0005083SOGoWeb Mailpublic2020-07-21 17:02
Reporterdragoangel Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformDesktopOSWindowsOS Version10
Product Version4.3.2 
Fixed in Versionnightly master 
Summary0005083: Signature not replaced/removed in Send Dialog
Description

In latest version of SOGo where new identities scheme are available the following issue occur in Send new mail dialog:
previous signature not replaced by new signature when you switching to new identity, also if you choose same identity you get added signature you already have endlessly.

Steps To Reproduce
  1. Configure multiply identities with signatures
  2. Open Send new mail dialog
  3. Switch between identities
TagsNo tags attached.

Activities

francis

francis

2020-07-20 11:35

administrator   ~0014553

Are you sending HTML or plain text messages?

dragoangel

dragoangel

2020-07-20 12:00

reporter   ~0014554

Hi, the issue not about sending email, issue about new email text editing dialog. It simply add new signature and not remove previous, user still can manually remove not needed signature, but this isn't user friendly way, I think many people will miss this from time to time even if they know about this.

francis

francis

2020-07-20 12:04

administrator   ~0014555

In your preferences, have you chosen to compose messages in HTML or Plain text?

dragoangel

dragoangel

2020-07-20 12:05

reporter   ~0014556

HTML

dragoangel

dragoangel

2020-07-20 12:06

reporter   ~0014557

changed to plain text, and issue still reproduce.

francis

francis

2020-07-20 14:49

administrator   ~0014558

Please describe how to replicate the problem on https://demo.sogo.nu/ (sogo1/sogo1).

dragoangel

dragoangel

2020-07-21 06:18

reporter   ~0014559

  1. Login to https://demo.sogo.nu/SOGo
  2. Go to Preferences -> Mail -> IMAP Accounts, link: https://demo.sogo.nu/SOGo/so/sogo1/Preferences#!/mailer
  3. Edit sogo1@sogo-demo.inverse.ca
  4. Add Signature to identity
  5. This isn't work in demo but this optional: create new identity with signature
  6. Save and go back to Mail link: https://demo.sogo.nu/SOGo/so/sogo1/Mail/view#!/Mail/0/inbox
  7. Write a new message
  8. Under Identity John Doe <sogo1@sogo-demo.inverse.ca> click on X and select again this identity. (If you have multiply identities you can switch between them)
  9. Expected result: Signature for user John Doe <sogo1@sogo-demo.inverse.ca> will be removed from email body when you click on X and added new signature when you choose this\another identity
    Current result: No signature removed, new signature added. If you do step 8 multiply times - you will have multiply signatures in email body which need to be removed manually
dragoangel

dragoangel

2020-07-21 06:20

reporter   ~0014560

Ho, but in demo it doesn't reproduce. Sec

dragoangel

dragoangel

2020-07-21 06:45

reporter   ~0014561

I can reproduce it. The context of signature is important. Simple signature without HTML is work as expected, but signature as:
<b>Best Regards,</b><br>
Postmaster<br>
https://example.com/<br>
Phone: tel:+0000000<br>
will reproduce my flow

Related Changesets

sogo: master 89406515

2020-07-21 17:01:33

francis

Details Diff
feat(mail): handle multiple mail identities

Fixes 0005083
Affected Issues
0005083
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff File

Issue History

Date Modified Username Field Change
2020-07-16 03:30 dragoangel New Issue
2020-07-20 11:35 francis Note Added: 0014553
2020-07-20 12:00 dragoangel Note Added: 0014554
2020-07-20 12:04 francis Note Added: 0014555
2020-07-20 12:05 dragoangel Note Added: 0014556
2020-07-20 12:06 dragoangel Note Added: 0014557
2020-07-20 14:49 francis Note Added: 0014558
2020-07-21 06:18 dragoangel Note Added: 0014559
2020-07-21 06:20 dragoangel Note Added: 0014560
2020-07-21 06:45 dragoangel Note Added: 0014561
2020-07-21 17:02 francis Changeset attached => sogo master 89406515
2020-07-21 17:02 francis Assigned To => francis
2020-07-21 17:02 francis Resolution open => fixed
2020-07-21 17:02 francis Status new => resolved
2020-07-21 17:02 francis Fixed in Version => nightly master